libstdc++

Classes | Namespaces
hash_eq_fn.hpp File Reference

Go to the source code of this file.

## Classes

struct | __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >
| Specialization 1 - The client requests that hash values not be stored. More...
struct | __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >
| Specialization 2 - The client requests that hash values be stored. More...
struct | hash_eq_fn< Key, Eq_Fn, _Alloc, Store_Hash >
| Primary template. More...

## Namespaces

namespace | __gnu_pbds

## Detailed Description

Contains 2 eqivalence functions, one employing a hash value, and one ignoring it.

Definition in file hash_eq_fn.hpp.